gnutls_x509_crq_get_dn_oid(3)

NAME
gnutls_x509_crq_get_dn_oid - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crq_get_dn_oid(gnutls_x509_crq_t crq, unsigned indx, void * oid, size_t * sizeof_oid);

ARGUMENTS

gnutls_x509_crq_t crq
    should contain a gnutls_x509_crq_t type

unsigned indx
    Specifies which DN OID to get. Use (0) to get the first one.

void * oid
    a pointer to a structure to hold the name (may be NULL)

size_t * sizeof_oid
    initially holds the size of oid

DESCRIPTION
This function will extract the requested OID of the name of the certificate request subject, specified by the given index.

RETURNS
GNUTLS_E_SHORT_MEMORY_BUFFER if the provided buffer is not long enough, and in that case the * sizeof_oid will be updated with the required size. On success 0 is returned.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2023 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/